<?php
/*
 * Template Name: Buyer Squeeze Page 1
*/
?>
<!DOCTYPE html>

<!--[if lt IE 7 ]> <html class="ie ie6 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>    <html class="ie ie7 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>    <html class="ie ie8 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9 ]>    <html class="ie ie9 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!--><html class="no-js" <?php language_attributes(); ?>><!--<![endif]-->
<!-- the "no-js" class is for Modernizr. -->

<head id="www-sitename-com" data-template-set="html5-reset-wordpress-theme" profile="http://gmpg.org/xfn/11">

	<meta charset="<?php bloginfo('charset'); ?>">
	
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	
	<?php if (is_search()) { ?>
	<meta name="robots" content="noindex, nofollow" /> 
	<?php } ?>

	<title>
		   <?php
		      if (function_exists('is_tag') && is_tag()) {
		         single_tag_title("Tag Archive for &quot;"); echo '&quot; - '; }
		      elseif (is_archive()) {
		         wp_title(''); echo ' Archive - '; }
		      elseif (is_search()) {
		         echo 'Search for &quot;'.wp_specialchars($s).'&quot; - '; }
		      elseif (!(is_404()) && (is_single()) || (is_page())) {
		         wp_title(''); echo ' - '; }
		      elseif (is_404()) {
		         echo 'Not Found - '; }
		      if (is_home()) {
		         bloginfo('name'); echo ' - '; bloginfo('description'); }
		      else {
		          bloginfo('name'); }
		      if ($paged>1) {
		         echo ' - page '. $paged; }
		   ?>
	</title>
	
	<meta name="title" content="<?php
		      if (function_exists('is_tag') && is_tag()) {
		         single_tag_title("Tag Archive for &quot;"); echo '&quot; - '; }
		      elseif (is_archive()) {
		         wp_title(''); echo ' Archive - '; }
		      elseif (is_search()) {
		         echo 'Search for &quot;'.wp_specialchars($s).'&quot; - '; }
		      elseif (!(is_404()) && (is_single()) || (is_page())) {
		         wp_title(''); echo ' - '; }
		      elseif (is_404()) {
		         echo 'Not Found - '; }
		      if (is_home()) {
		         bloginfo('name'); echo ' - '; bloginfo('description'); }
		      else {
		          bloginfo('name'); }
		      if ($paged>1) {
		         echo ' - page '. $paged; }
		   ?>">
	<meta name="description" content="<?php bloginfo('description'); ?>">
	
	<meta name="google-site-verification" content="">
	<!-- Speaking of Google, don't forget to set your site up: http://google.com/webmasters -->
	
	<meta name="author" content="Your Name Here">
	<meta name="Copyright" content="Copyright Your Name Here 2011. All Rights Reserved.">

	<!-- Dublin Core Metadata : http://dublincore.org/ -->
	<meta name="DC.title" content="Project Name">
	<meta name="DC.subject" content="What you're about.">
	<meta name="DC.creator" content="Who made this site.">
	
	<!--  Mobile Viewport meta tag
	j.mp/mobileviewport & davidbcalhoun.com/2010/viewport-metatag 
	device-width : Occupy full width of the screen in its current orientation
	initial-scale = 1.0 retains dimensions instead of zooming out if page height > device height
	maximum-scale = 1.0 retains dimensions instead of zooming in if page width < device width -->
	<!-- Uncomment to use; use thoughtfully!
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
	-->
	
	<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/assets/img/favicon.ico">
	<!-- This is the traditional favicon.
		 - size: 16x16 or 32x32
		 - transparency is OK
		 - see wikipedia for info on browser support: http://mky.be/favicon/ -->
		 
	<link rel="apple-touch-icon" href="<?php bloginfo('template_directory'); ?>/assets/img/apple-touch-icon.png">
	<!-- The is the icon for iOS's Web Clip.
		 - size: 57x57 for older iPhones, 72x72 for iPads, 114x114 for iPhone4's retina display (IMHO, just go ahead and use the biggest one)
		 - To prevent iOS from applying its styles to the icon name it thusly: apple-touch-icon-precomposed.png
		 - Transparency is not recommended (iOS will put a black BG behind the icon) -->
	
	<!-- CSS: screen, mobile & print are all in the same file -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>">
	
	<!-- all our JS is at the bottom of the page, except for Modernizr. -->
	<script src="<?php bloginfo('template_directory'); ?>/assets/js/modernizr-1.7.min.js"></script>
	
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />

	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

	<?php wp_head(); ?>
        
       
	<script type="text/javascript">
           jQuery(document).ready(function(){
		
		
		      jQuery('#my-optin input[type=text]').focus(function(){				
				
				jQuery(this).each(function(){
					var value1 = jQuery(this).val();
					var origval1 = jQuery(this).prop("defaultValue");
					if(value1 == origval1){
						jQuery(this).val('');
					} else{
						
					}
				 });
			});
		      
		      jQuery('#my-optin input[type=text]').blur(function(){
				
				jQuery(this).each(function(){
					var value = jQuery(this).attr("value");
					var origval = jQuery(this).prop("defaultValue");
					if(value == ''){
						
						jQuery(this).val(origval);
					}
				});
				 
				
			
			});
		      
		      jQuery('#optin-btn').click(function(){
				 var nameRegex = new RegExp("^[A-Za-z][a-zA-Z]*$");
				 var emailRegex = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
			
				 jQuery('#my-optin input').removeClass('error').removeClass('valid');
				  var fields = jQuery('#my-optin input[type=text]');
				  var error = 0;
				 
				 fields.each(function(){
				     var value = $(this).val();
				     if( value.length<1) {
					 jQuery(this).addClass('error');
					 jQuery(this).effect("shake", { times:3 }, 50);
					 
					 error++;
				     } else {
					 jQuery(this).addClass('valid');
				     }
				 });
		    
				 if(!error) {
				     if(nameRegex.test(jQuery('input[name=fname]').val()) == false ) {
					     jQuery('input[name=fname]').removeClass('valid').addClass('error').effect("shake", { times:3 }, 50);                                     
					     return false;
								 }
					
						 else if(emailRegex.test($('input[name=email]').val()) == false ) {
					     jQuery('input[name=email]').removeClass('valid').addClass('error').effect("shake", { times:3 }, 50);                                     
					     return false;
					    } else{
							var mysurl = '<?php bloginfo( 'template_directory' );?>/libs/mail2.php';
							var myfirstname = jQuery('#my-optin input[name=name]').val();
							var myemail = jQuery('#my-optin input[name=email]').val();
						        var mytype = jQuery('#my-optin input[name=buyme]').val();
							var myemailto = jQuery('#my-optin input[name=emailto]').val();
						       
						       
						       
						       
						       jQuery.ajax({
						       type: "POST",
						       url: mysurl,
						       data: { 'first_name': myfirstname, 'email_add': myemail, 'type': mytype,  'email_to': myemailto},
						       cache: false,
						       success: function(data)
							   {
							      alert('Message Sent..');
							   }
						       });
						       
					    }
				  } 
		      });
		         
	   });
        </script>
	<style type="text/css">
		#page-wrap{
			width: 962px;
			margin: 0 auto;
			padding: 0;
		}
		
		#header{
			width:880px;
			padding: 20px 40px;
			background:#f3f3f3;
			border:#cccccc 1px solid;
			margin:0 auto;
			text-align:center;
		}
		
		#bottom-head{
			width:962px;
			height:15px;
			background:url(<?php echo image_folder('bottom-head.png');?>) no-repeat;
			margin:0 auto;
		}
		
		#top-head-bg{
			width:962px;
			height:39px;
			background:url(<?php echo image_folder('top-head-bg.png');?>) no-repeat;
			margin:0 auto;
			margin-top:40px;
		}
		
		#mid-content-wrap{
			min-width:100%;
			min-height:500px;
			background:url(<?php echo image_folder('mid-content-bg.png');?>) repeat-y;
		}
		
		#bottom-content-end{
			width:962px;
			height:46px;
			margin-bottom:40px;
			background:url(<?php echo image_folder('bottom-content-bg.png');?>) no-repeat;
			float: left;
		}
		
		#column-left{
			padding:20px 0 0 40px;
			overflow:hidden;
		}
		
		#column-left h2{
			font-size:1.5em;
		}
		
		#column-left ul{
			list-style:disc;
			margin-left:20px;
		}
		
		#column-left ul li{
			margin-bottom:10px;
		}
		
		#column-right{
			padding:20px 30px 0 0;
			width:316px;
		}
		
		#top-optin{
			width: 316px;
			height: 27px;
			background:url(<?php echo image_folder('buy1-top-optin-bg.png');?>) no-repeat;
		}
		
		#bottom-optin{
			width: 316px;
			height: 228px;
			background:url(<?php echo image_folder('buy1-bottom-optin-bg.png');?>) no-repeat;
			float: left;
		}
		
		#optin-head{
			width: 276px;
			padding: 0 20px;
			height: auto;
			background:url(<?php echo image_folder('buy1-head-optin-bg.png');?>) repeat-y;
			text-align: center;
			color: #ee0d14;
			font-size: 27px;
			font-family: 'LeagueGothicRegular';
		}
		
		#right-sidebar{
			margin-bottom: 20px;
		}
		
		#optin-wrapper{
			width: 201px;
			margin: auto;
			margin-top: 30px;
		}
		
		#bottom-optin input{
			width: 181px;
			height: 12px;
			border: none;
			margin-bottom: 10px;
			border-radius: 7px;
			padding: 10px
			
		}
		
		#bottom-optin img{
			cursor: pointer;
		}
		
		#bottom-optin span{
		      color: #FFFFFF;
		      float: left;
		      font-size: 9px;
		      left: 40px;
		      position: relative;
		      text-align: center;
		      top: 15px;
		}
		
	</style>
</head>

 <?php
        
            $my_body_bg =  get_post_meta( $post->ID, '_cmb_buyers_body_bg', true );
            if(($my_body_bg == '#') || ($my_body_bg == '')){
		 $my_body_bg = 'style="background:#c8dfef;"';
            }else{
                 $my_body_bg = 'style="background:'.$my_body_bg.';"';
            }
        
        ?>

<body <?php echo $my_body_bg;  body_class(); ?>>
	
    <?php
        $visibility = get_post_meta( $post->ID, '_cmb_buyers_head_visiblity', true );
	$my_img = get_post_meta( $post->ID, '_cmb_buyers_header_bg_image', true );
        if(($visibility == 'ON') || ($visibility == null)){
            $display = 'style="display:block;"';
        } else{
	   $display = 'style="display:none;"';
	}
	if($my_img == ''){
            $my_top_image = header_image_folder('squeeze-head-2.png');
        } else {
	   $my_top_image = $my_img;
	}
    ?>
    
    
	<div id="top-head-bg"></div>
		<header id="header" <?php echo $display; ?> >
			 <?php
					$myheadline = get_post_meta( $post->ID, '_cmb_buyers_headline', true );
					
					echo wpautop($myheadline);
			    ?>
		</header>
	<div class="clearfix"></div>
		<div id="bottom-head" <?php echo $display; ?>></div>
	<div class="clearfix"></div>
        <div id="page-wrap"><!-- not needed? up to you: http://camendesign.com/code/developpeurs_sans_frontieres -->
	
            <div class="clearfix"></div>
            <article id="mid-content-wrap">
		<div class="clearfix"></div>
                <?php the_post(); ?>
                <section id="column-left">
                    <?php the_content(); ?>
                </section>
                <section id="column-right">
			<div id="right-sidebar">
				
				<?php
					$formdata = get_post_meta( $post->ID, '_cmb_buyers_sidebar', true );
					if($formdata != ''){
				    ?>
					<?php echo $formdata;?>
				    <?php } else{?>
				       
				    
				    <?php }?>
			</div>
			
                    <?php
                        $formdata = get_post_meta( $post->ID, '_cmb_buyers_optin_code', true );
                        if($formdata != ''){
                    ?>
                        <?php echo get_post_meta( $post->ID, '_cmb_buyers_optin_code', true );?>
                    <?php } else{?>
			<div id="my-optin">
				<div id="top-optin"></div>
				<div id="optin-head"> <?php echo get_post_meta( $post->ID, '_cmb_buyers_form_heading', true );?></div>
				<div id="bottom-optin">
					<div id="optin-wrapper">
						<input type="hidden" name="emailto" value="<?php echo get_post_meta( $post->ID, '_cmb_buyers_optin_email', true );?>">
						<input type="hidden" name="buyme" value="buyer" />
						<input type="text" name="name" value="Full Name"/>
						<input type="text" name="email" value="Email Address" />
						<img id="optin-btn" src="<?php echo image_folder('btn-optin-buyer.png');?>" />
					</div>
					<div class="clearfix"></div>
					<span>We Hate Spam! We respect your<br /> privacy and will never share<br /> your information.</span>
				</div>
			</div>                    
                    <?php }?>
                </section>
                <div class="clearfix"></div>
            </article>
            <div class="clearfix"></div>
	    <div id="bottom-content-end"></div>
        </div>
    
        <?php
        
            $footer_text_color =  get_post_meta( $post->ID, '_cmb_buyers_footer_text_color', true );
            $footer_bg_color =  get_post_meta( $post->ID, '_cmb_buyers_footer_bg', true );
            if(($footer_text_color == '#') || ($footer_text_color == '')){
                $my_color = '#FFF';
            }else{
                 $my_color = get_post_meta( $post->ID, '_cmb_buyers_footer_text_color', true );
            }
            if(($footer_bg_color == '#') || ($footer_bg_color == '')){
                $my_bg = '#0e2036';
            }else{
                 $my_bg = get_post_meta( $post->ID, '_cmb_buyers_footer_bg', true );
            }
        
        ?>
    <div class="clearfix"></div>
    <footer id="footer" class="source-org vcard copyright" style="color:<?php echo $my_color; ?> ; padding: 36px 0; text-align: center; width: 100%; background: <?php echo $my_bg; ?>;">
	   <div id="footwrap">
		      <section id="copyright"><?php echo get_post_meta( $post->ID, '_cmb_buyers_copyright_text', true ); ?></section>
		      <section id="pseofoot"><span>Created by: </span><a href="http://RealEstateSqueezePage.com" target="_blank" style="text-decoration: none;"><span id="pseot">  Real Estate Squeeze Page</span></a></section>
	   </div>
    </footer>

	<?php wp_footer(); ?>

<script src="<?php bloginfo('template_directory'); ?>/assets/js/functions.js"></script>

	   <?php

	   $gaid = get_post_meta( $post->ID, '_cmb_analytics_id', true );
	   
	   if($gaid == ''){
		      
	   } else{ ?>
		      
	   <script>

	   var _gaq = _gaq || [];
	   _gaq.push(['_setAccount', '<?php echo $gaid; ?>']);
	   _gaq.push(['_trackPageview']);
	 
	   (function() {
	     var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
	     ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
	     var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
	   })();
	 
	 </script>
		      
	   <?php } ?>

</body>

</html>
