<?php
	
	require_once (dirname (__FILE__) . '/libs/meta-box/meta-functions.php');
	require_once(dirname (__FILE__) .'/wp-admin-menu-classes.php');
	require_once(dirname (__FILE__) .'/libs/seo/fv-all-in-one-seo-pack.php');
	
	function enable_more_buttons($buttons) {
	$buttons[] = 'fontselect';
	$buttons[] = 'fontsizeselect'; 
	$buttons[] = 'backcolor'; 
	$buttons[] = 'image';
	$buttons[] = 'media'; 
	$buttons[] = 'anchor'; 
	$buttons[] = 'sub'; 
	$buttons[] = 'sup';
	$buttons[] = 'hr';
	$buttons[] = 'wp_page';
	$buttons[] = 'cut'; 
	$buttons[] = 'copy'; 
	$buttons[] = 'paste';
	$buttons[] = 'newdocument'; 
	$buttons[] = 'code';
	$buttons[] = 'cleanup';
	 return $buttons;
	}
	add_filter("mce_buttons_3", "enable_more_buttons");
	
	function replace_howdy( $wp_admin_bar ) {
	$my_account=$wp_admin_bar->get_node('my-account');
	$newtitle = str_replace( 'Howdy,', 'Logged in as', $my_account->title );            
	$wp_admin_bar->add_node( array(
	    'id' => 'my-account',
	    'title' => $newtitle,
	) );
    }
    add_filter( 'admin_bar_menu', 'replace_howdy',25 );
    
	function remove_editor_menu() {
      remove_action('admin_menu', '_add_themes_utility_last', 101);
    }
    
    add_action('_admin_menu', 'remove_editor_menu', 1);

	function remove_menus () {
	global $menu;
			$restricted = array(__('Posts'), __('Links'), __('Plugins'));
			end ($menu);
			while (prev($menu)){
				$value = explode(' ',$menu[key($menu)][0]);
				if(in_array($value[0] != NULL?$value[0]:"" , $restricted)){unset($menu[key($menu)]);}
			}
	}
	add_action('admin_menu', 'remove_menus');
	
	add_action('admin_menu','my_new_admin_menu');
	
	function my_new_admin_menu() {
	
	rename_admin_menu_section('Pages','Squeeze Pages');
	
	}
	
	
	
	
	//js folder retrieve
	
	function css_folder($cssfile){
		$cssurls =  get_bloginfo('template_directory').'/assets/css/'.$cssfile;
		return $cssurls;
	}
	
	function step_image_folder($filenames){
		$myurls =  get_bloginfo('template_directory').'/assets/images/step_images/'.$filenames;
		return $myurls;
	}
	
	function header_image_folder($file){
		$urls =  get_bloginfo('template_directory').'/assets/images/headers/'.$file;
		return $urls;
	}
	
	function image_folder($myfilename){
		$folderurls =  get_bloginfo('template_directory').'/assets/images/'.$myfilename;
		return $folderurls;
	}
	
	function js_folder($filename){
		$myurl =  get_bloginfo('template_directory').'/assets/js/'.$filename;
		return $myurl;
	}
	
	
        // Translations can be filed in the /languages/ directory
        load_theme_textdomain( 'herman', TEMPLATEPATH . '/languages' );
 
        $locale = get_locale();
        $locale_file = TEMPLATEPATH . "/languages/$locale.php";
        if ( is_readable($locale_file) )
            require_once($locale_file);
	    
	    
	
	// Add RSS links to <head> section
	automatic_feed_links();
	
	
	
	// Load jQuery
	if ( !function_exists(core_mods) ) {
		function core_mods() {
			if ( !is_admin() ) {
				wp_deregister_script('jquery');
				wp_register_script('jquery', js_folder('jquery-1.8.2.min.js'), false);
				wp_enqueue_script('jquery');
				
				wp_deregister_script('jquery-ui');
				wp_register_script('jquery-ui', js_folder('jquery-ui-1.9.0.custom.js'), false);
				wp_enqueue_script('jquery-ui');
				
				    wp_register_style( 'web-fonts', 'http://fonts.googleapis.com/css?family=Tangerine|Droid+Sans|Share+Tech' );
				    wp_enqueue_style( 'web-fonts' );
				
				
				
			}
		}
		core_mods();
	}
	
	add_action( 'admin_enqueue_scripts', 'style_add_my_stylesheet' );
	
	function style_add_my_stylesheet() {
		    // Respects SSL, Style.css is relative to the current file
		    wp_register_style( 'my-fonts', 'http://fonts.googleapis.com/css?family=Tangerine|Droid+Sans|Share+Tech');
		    wp_enqueue_style( 'my-fonts' );
		    
		}
		

	// Clean up the <head>
	function removeHeadLinks() {
    	remove_action('wp_head', 'rsd_link');
    	remove_action('wp_head', 'wlwmanifest_link');
    }
    add_action('init', 'removeHeadLinks');
    remove_action('wp_head', 'wp_generator');
    
    if (function_exists('register_sidebar')) {
    	register_sidebar(array(
    		'name' => __('Sidebar Widgets','herman' ),
    		'id'   => 'sidebar-widgets',
    		'description'   => __( 'These are widgets for the sidebar.','herman' ),
    		'before_widget' => '<div id="%1$s" class="widget %2$s">',
    		'after_widget'  => '</div>',
    		'before_title'  => '<h2>',
    		'after_title'   => '</h2>'
    	));
    }
    
    add_theme_support( 'post-formats', array('aside', 'gallery', 'link', 'image', 'quote', 'status', 'audio', 'chat', 'video')); // Add 3.1 post format theme support.
    
    function wps_admin_bar() {
	global $wp_admin_bar;
	$wp_admin_bar->remove_menu('wp-logo');
	$wp_admin_bar->remove_menu('about');
	$wp_admin_bar->remove_menu('wporg');
	$wp_admin_bar->remove_menu('documentation');
	$wp_admin_bar->remove_menu('support-forums');
	$wp_admin_bar->remove_menu('feedback');
    }
    add_action( 'wp_before_admin_bar_render', 'wps_admin_bar' );

 function remove_dashboard_widgets() {
	    global $wp_meta_boxes;
    
	    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press']);
	    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_incoming_links']);
	    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_right_now']);
	    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']);
	    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_drafts']);
	    unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_comments']);
	    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);
	    unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']);
    
    }


	add_action('wp_dashboard_setup', 'remove_dashboard_widgets' );

	function remove_footer_admin () {
	    echo "Real Estate Squeeze Pages By: Philadelphia SEO";
	} 
	
	add_filter('admin_footer_text', 'remove_footer_admin');
	
	
	 function example_dashboard_widget_function() {
		
		   /* query_posts(array('post_type' => 'page', 'posts_per_page' => 3, 'paged' => $paged));
		    while(have_posts()) : the_post();
		    
		    $mytitle = get_the_title();
		    if($mytitle != null) {
			$mylink = get_permalink();
			$url = urlencode($mylink);
			$posttitle = get_the_title();
			echo '<h2><a href="'.get_edit_post_link().'">'.$posttitle.'</a></h2>';
			echo '<a href="'.get_edit_post_link().'"><img src="http://s.wordpress.com/mshots/v1/'.$url.'?w=250&h=600" border="1" /></a><br /><br />';
		    } else{
			
		    }
		    endwhile;
		    */
			

				$disp .= '"Offline Real Estate Domination" Package<br /><br />';

			$disp .= '1) Click The "Squeeze Pages" Tab<br />';
			$disp .= '2) Click "Add New" to creat a squeeze page<br />';
			$disp .= '3) Choose "Template" on Side Bar<br />';
			$disp .= '4) Click "Publish" then "Update" twice<br />';
			$disp .= '5) Go To Setting > General > Reading > Select a static page from the dropdown for your home page<br />';
			$disp .= "6)  Now You're Done and Ready to GO!<br />";
			
			echo $disp;

	    } 
	    
	    // Create the function use in the action hook
	    function example_add_dashboard_widgets() {
		    wp_add_dashboard_widget('example_dashboard_widget', 'Real Estate Squeeze Pages Guide', 'example_dashboard_widget_function');
	    }
	    // Hoook into the 'wp_dashboard_setup' action to register our other functions
	    add_action('wp_dashboard_setup', 'example_add_dashboard_widgets' );  