<?php
/*
 * Template Name: Seller Squeeze Page 8
*/
?>
<!DOCTYPE html>

<!--[if lt IE 7 ]> <html class="ie ie6 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7 ]>    <html class="ie ie7 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8 ]>    <html class="ie ie8 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9 ]>    <html class="ie ie9 no-js" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!--><html class="no-js" <?php language_attributes(); ?>><!--<![endif]-->
<!-- the "no-js" class is for Modernizr. -->

<head id="www-sitename-com" data-template-set="html5-reset-wordpress-theme" profile="http://gmpg.org/xfn/11">

	<meta charset="<?php bloginfo('charset'); ?>">
	
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	
	<?php if (is_search()) { ?>
	<meta name="robots" content="noindex, nofollow" /> 
	<?php } ?>

	<title>
		   <?php
		      if (function_exists('is_tag') && is_tag()) {
		         single_tag_title("Tag Archive for &quot;"); echo '&quot; - '; }
		      elseif (is_archive()) {
		         wp_title(''); echo ' Archive - '; }
		      elseif (is_search()) {
		         echo 'Search for &quot;'.wp_specialchars($s).'&quot; - '; }
		      elseif (!(is_404()) && (is_single()) || (is_page())) {
		         wp_title(''); echo ' - '; }
		      elseif (is_404()) {
		         echo 'Not Found - '; }
		      if (is_home()) {
		         bloginfo('name'); echo ' - '; bloginfo('description'); }
		      else {
		          bloginfo('name'); }
		      if ($paged>1) {
		         echo ' - page '. $paged; }
		   ?>
	</title>
	
	<meta name="title" content="<?php
		      if (function_exists('is_tag') && is_tag()) {
		         single_tag_title("Tag Archive for &quot;"); echo '&quot; - '; }
		      elseif (is_archive()) {
		         wp_title(''); echo ' Archive - '; }
		      elseif (is_search()) {
		         echo 'Search for &quot;'.wp_specialchars($s).'&quot; - '; }
		      elseif (!(is_404()) && (is_single()) || (is_page())) {
		         wp_title(''); echo ' - '; }
		      elseif (is_404()) {
		         echo 'Not Found - '; }
		      if (is_home()) {
		         bloginfo('name'); echo ' - '; bloginfo('description'); }
		      else {
		          bloginfo('name'); }
		      if ($paged>1) {
		         echo ' - page '. $paged; }
		   ?>">
	<meta name="description" content="<?php bloginfo('description'); ?>">
	
	<meta name="google-site-verification" content="">
	<!-- Speaking of Google, don't forget to set your site up: http://google.com/webmasters -->
	
	<meta name="author" content="Your Name Here">
	<meta name="Copyright" content="Copyright Your Name Here 2011. All Rights Reserved.">

	<!-- Dublin Core Metadata : http://dublincore.org/ -->
	<meta name="DC.title" content="Project Name">
	<meta name="DC.subject" content="What you're about.">
	<meta name="DC.creator" content="Who made this site.">
	
	<!--  Mobile Viewport meta tag
	j.mp/mobileviewport & davidbcalhoun.com/2010/viewport-metatag 
	device-width : Occupy full width of the screen in its current orientation
	initial-scale = 1.0 retains dimensions instead of zooming out if page height > device height
	maximum-scale = 1.0 retains dimensions instead of zooming in if page width < device width -->
	<!-- Uncomment to use; use thoughtfully!
	<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
	-->
	
	<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/assets/img/favicon.ico">
	<!-- This is the traditional favicon.
		 - size: 16x16 or 32x32
		 - transparency is OK
		 - see wikipedia for info on browser support: http://mky.be/favicon/ -->
		 
	<link rel="apple-touch-icon" href="<?php bloginfo('template_directory'); ?>/assets/img/apple-touch-icon.png">
	<!-- The is the icon for iOS's Web Clip.
		 - size: 57x57 for older iPhones, 72x72 for iPads, 114x114 for iPhone4's retina display (IMHO, just go ahead and use the biggest one)
		 - To prevent iOS from applying its styles to the icon name it thusly: apple-touch-icon-precomposed.png
		 - Transparency is not recommended (iOS will put a black BG behind the icon) -->
	
	<!-- CSS: screen, mobile & print are all in the same file -->
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>">
	
	
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	
	<?php
	
	   $formstyle = get_post_meta( $post->ID, '_cmb_form_style', true );
	   if($formstyle == null){
	   ?>
		      <link href="<?php echo css_folder('form_style_8.css'); ?>" rel="stylesheet" />
	   <?php
		      
	   } else{
	?>
		      <link href="<?php echo css_folder($formstyle); ?>" rel="stylesheet" />
	<?php } ?>
	
	

	<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

	<?php wp_head(); ?>
	
	
	<!-- all our JS is at the bottom of the page, except for Modernizr. -->
	<script src="<?php bloginfo('template_directory'); ?>/assets/js/modernizr-1.7.min.js"></script>
        
        <style type="text/css">
            #header{
                    background: url(<?php bloginfo('template_directory'); ?>/assets/images/header-bg8.jpg) repeat-x;
                    min-height: 424px;
					margin-bottom: -3px;
            }
	    
            #page-wrap{
                margin-top: 0;
                padding-top: 30px;
                margin-bottom: 0;
                padding-bottom: 0;
				
            }
            
            #main-wrap{
                width: 100%;
                background: url(<?php bloginfo('template_directory'); ?>/assets/images/main-wrap.jpg) repeat-x;
            }
            
	    #column-left{
                padding: 30px;
                width: 490px;
            }
            
            /*#divider-8{
                width: 960px;
                 background: url(<?php bloginfo('template_directory'); ?>/assets/images/divider-8.png) no-repeat;
                 height: 26px;
                 margin: 0 auto;
                 padding: 15px 0;
            }*/
			
			#column-right{
				margin-right:20px;
			}
			
			#step_image_display{
			margin-left:10px;
            
        </style>
	<script type="text/javascript">
           jQuery(document).ready(function(){
		      
		      jQuery('#btn-send-text-wrap').click(function(){
				 var emailRegex = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[ -퟿豈-﷏ﷰ-￯])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[ -퟿豈-﷏ﷰ-￯])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[ -퟿豈-﷏ﷰ-￯])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[ -퟿豈-﷏ﷰ-￯]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[ -퟿豈-﷏ﷰ-￯])|(([a-z]|\d|[ -퟿豈-﷏ﷰ-￯])([a-z]|\d|-|\.|_|~|[ -퟿豈-﷏ﷰ-￯])*([a-z]|\d|[ -퟿豈-﷏ﷰ-￯])))\.)+(([a-z]|[ -퟿豈-﷏ﷰ-￯])|(([a-z]|[ -퟿豈-﷏ﷰ-￯])([a-z]|\d|-|\.|_|~|[ -퟿豈-﷏ﷰ-￯])*([a-z]|[ -퟿豈-﷏ﷰ-\uFFEF])))\.?$/i);
			
				 jQuery('#default-optin-form input').removeClass('error').removeClass('valid');
				  var fields = jQuery('#default-optin-form input[type=text]');
				  var selects = jQuery('#default-optin-form select');
				  var error = 0;
				 
				 selects.each(function(){
					var value = $(this).val();
				     if( value.length<1) {
					 jQuery(this).addClass('error');
					 jQuery(this).effect("shake", { times:3 }, 50);
					 
					 error++;
				     } else {
					 jQuery(this).addClass('valid');
				     }    	    
				 }); 
				 
				 fields.each(function(){
				     var value = $(this).val();
				     if( value.length<1) {
					 jQuery(this).addClass('error');
					 jQuery(this).effect("shake", { times:3 }, 50);
					 
					 error++;
				     } else {
					 jQuery(this).addClass('valid');
				     }
				 });
		    
				 if(!error) {
					
						 if(emailRegex.test($('input[name=email]').val()) == false ) {
					     jQuery('input[name=email]').removeClass('valid').addClass('error').effect("shake", { times:3 }, 50);                                     
					     return false;
					    } else{
						      var mysurl = '<?php bloginfo( 'template_directory' );?>/libs/mail.php';
						       var myfirstname = jQuery('#default-optin-form input[name=fname]').val();
						       var myphone = jQuery('#default-optin-form input[name=phone]').val();
						       var myemail = jQuery('#default-optin-form input[name=email]').val();
						       var mypadd = jQuery('#default-optin-form input[name=property-add]').val();
						       var mycity = jQuery('#default-optin-form input[name=city]').val();
						       var mystate = jQuery('#default-optin-form select[name=state]').val();
						       var myzip = jQuery('#default-optin-form input[name=zip]').val();
						       var mybeds = jQuery('#default-optin-form select[name=beds]').val();
						       var mybaths = jQuery('#default-optin-form select[name=baths]').val();
						       var myasking = jQuery('#default-optin-form input[name=ask-price]').val();     
						       var myemailto = jQuery('#default-optin-form input[name=emailto]').val();
						       
						       jQuery.ajax({
						       type: "POST",
						       url: mysurl,
						       data: { 'first_name': myfirstname, 'phone': myphone, 'email_add': myemail, 'p_add': mypadd, 'city': mycity, 'state': mystate, 'zip': myzip, 'beds': mybeds, 'baths': mybaths, 'asking': myasking,  'email_to': myemailto},
						       cache: false,
						       success: function(data)
							   {
							      alert('Message Sent..');
							   }
						       });
						       
					    }
				  } 
		      });
		         
	   });
        </script>
</head>

	   <?php
		      $bodybg = get_post_meta( $post->ID, '_cmb_body_bg', true );
		      if(($bodybg == '') || ($bodybg == '#')){
				 
		      } else {
			 $bgcolor = 'style="background:'.$bodybg.';"';
		      }
	   
	   ?>

<body <?php echo $bgcolor; ?>  <?php body_class(); ?>>
	
    <?php
        $visibility = get_post_meta( $post->ID, '_cmb_head_visiblity', true );
	$my_img = get_post_meta( $post->ID, '_cmb_header_bg_image', true );
	$my_img_built = get_post_meta( $post->ID, '_cmb_built_head_image', true );
	$my_img_select = get_post_meta( $post->ID, '_cmb_header_image', true );
        if(($visibility == 'ON') || ($visibility == null)){
            $display = 'style="display:block;"';
        } else{
	   $display = 'style="display:none;"';
	}
	if(($my_img == '') || ($my_img_select == '')){
            $my_top_image = header_image_folder('squeeze-head-8.jpg');
        } elseif($my_img_select == 'upload'){
	   $my_top_image = $my_img;
	} elseif($my_img_select == 'built'){
	   $my_top_image = $my_img_built;
	}
    ?>
    
    <header id="header" <?php echo $display; ?> >
        <center><img src="<?php echo $my_top_image;?>" /></center>
    </header>
    
    <center>
	   <?php
		       $myheadline = get_post_meta( $post->ID, '_cmb_headline', true );
		       
		       echo wpautop($myheadline);
	   ?>
    </center>
    <div id="main-wrap">
        <div id="page-wrap">
            <article>
			<div class="clearfix"></div>
                <?php the_post(); ?>
                <section <?php //echo $body_family; ?> id="column-left">
                    <?php the_content(); ?>
                </section>
                <section id="column-right">
                    <?php
                        $formdata = get_post_meta( $post->ID, '_cmb_optin_code', true );
                        if($formdata != ''){
                    ?>
                        <?php echo get_post_meta( $post->ID, '_cmb_optin_code', true );?>
                    <?php } else{?>
                        <form id="default-optin-form" method="post" name="contactform">
                        <center>
                	<table cellspacing="0" cellpadding="0" border="no">
                            <tbody>
                                <tr>
                                    <td colspan="2">
                                        <h2 id="optin-form-title"> <?php echo get_post_meta( $post->ID, '_cmb_form_heading', true );?></h2>
					<input type="hidden" name="emailto" value="<?php echo get_post_meta( $post->ID, '_cmb_optin_email', true );?>">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="label-td" colspan="2">
                                        <label>Full Name</label>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="form-input-td" colspan="2">
                                        <input type="text" maxlength="50" name="fname">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="label-td" colspan="2">
                                        <label>Phone</label>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="form-input-td" colspan="2">
                                        <input type="text" maxlength="50" name="phone">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="label-td" colspan="2">
                                        <label>Email</label>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="form-input-td" colspan="2">
                                        <input type="text" maxlength="50" name="email">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="label-td" colspan="2">
                                        <label>Property Address</label>
                                    </td>
                                </tr>
                                <tr>
                                    <td class="form-input-td" colspan="2">
                                        <input type="text" maxlength="50" name="property-add">
                                    </td>
                                </tr>
                                 <tr>
                                    <td class="label-td" colspan="2">
                                         <label>City</label>
                                    </td>
                                </tr>
                                <tr>
                                     <td class="form-input-td" colspan="2">
                                        <input type="text" maxlength="50" name="city">
                                    </td>
                                </tr>
                                <tr>
                                    <td class="label-td" colspan="2">
                                        <label>State</label>
                                    </td>
                                </tr>
                                    <tr><td colspan="2"><select id="state" name="state" class="state">
                                                                    <option value="" selected="selected">Select State</option>
                                                                    <option value="Alabama">Alabama</option>
                                                                    <option value="Alaska">Alaska</option>
                                                                    <option value="Arizona">Arizona</option>
                                                                    <option value="Arkansas">Arkansas</option>
                                                                    <option value="California">California</option>
                                                                    <option value="Colorado">Colorado</option>
                                                                    <option value="Connecticut">Connecticut</option>
                                                                    <option value="Delaware">Delaware</option>
                                                                    <option value="District of Columbia">District of Columbia</option>
                                                                    <option value="Florida">Florida</option>
                                                                    <option value="Georgia">Georgia</option>
                                                                    <option value="Hawaii">Hawaii</option>
                                                                    <option value="Idaho">Idaho</option>
                                                                    <option value="Illinois">Illinois</option>
                                                                    <option value="Indiana">Indiana</option>
                                                                    <option value="Iowa">Iowa</option>
                                                                    <option value="Kansas">Kansas</option>
                                                                    <option value="Kentucky">Kentucky</option>
                                                                    <option value="Louisiana">Louisiana</option>
                                                                    <option value="Maine">Maine</option>
                                                                    <option value="Maryland">Maryland</option>
                                                                    <option value="Massachusetts">Massachusetts</option>
                                                                    <option value="Michigan">Michigan</option>
                                                                    <option value="Minnesota">Minnesota</option>
                                                                    <option value="Mississippi">Mississippi</option>
                                                                    <option value="Missouri">Missouri</option>
                                                                    <option value="Montana">Montana</option>
                                                                    <option value="Nebraska">Nebraska</option>
                                                                    <option value="Nevada">Nevada</option>
                                                                    <option value="New Hampshire">New Hampshire</option>
                                                                    <option value="New Jersey">New Jersey</option>
                                                                    <option value="New Mexico">New Mexico</option>
                                                                    <option value="New York">New York</option>
                                                                    <option value="North Carolina">North Carolina</option>
                                                                    <option value="North Dakota">North Dakota</option>
                                                                    <option value="Ohio">Ohio</option>
                                                                    <option value="Oklahoma">Oklahoma</option>
                                                                    <option value="Oregon">Oregon</option>
                                                                    <option value="Pennsylvania">Pennsylvania</option>
                                                                    <option value="Rhode Island">Rhode Island</option>
                                                                    <option value="South Carolina">South Carolina</option>
                                                                    <option value="South Dakota">South Dakota</option>
                                                                    <option value="Tennessee">Tennessee</option>
                                                                    <option value="Texas">Texas</option>
                                                                    <option value="Utah">Utah</option>
                                                                    <option value="Vermont">Vermont</option>
                                                                    <option value="Virginia">Virginia</option>
                                                                    <option value="Washington">Washington</option>
                                                                    <option value="West Virginia">West Virginia</option>
                                                                    <option value="Wisconsin">Wisconsin</option>
                                                                    <option value="Wyoming">Wyoming</option>
                                                                            </select></td></tr>
                                                    <tr>
						       <td class="label-td" colspan="2">
								  <label>Zip Code</label>
						       </td>
						    </tr>
                                                    <tr>
						       <td class="form-input-td" colspan="2">
								  <input type="text" maxlength="50" name="zip">
						       </td>
						    </tr>
                                <tr><td class="label-td"><label>Beds</label><br><select class="bs" name="beds">
                                                                    <option selected="selected" value="">Select</option>
                                                                    <option value="1">1</option>
                                                                    <option value="2">2</option>
                                                                    <option value="3">3</option>
                                                                    <option value="4">4</option>
                                                                    <option value="5">5</option>
                                                                    <option value="6">6</option>
                                                                    <option value="7">7</option>
                                                                    <option value="8">8</option>
                                                                    <option value="9">9</option>
                                                                    <option value="10">10</option>
                                                  </select></td>
                                     <td class="label-td"><label>Baths</label><br><select class="bs" name="baths">
                                                                            <option selected="selected" value="">Select</option>
                                                                    <option value="1">1</option>
                                                                    <option value="2">2</option>
                                                                    <option value="3">3</option>
                                                                    <option value="4">4</option>
                                                                    <option value="5">5</option>
                                                                    <option value="6">6</option>
                                                                    <option value="7">7</option>
                                                                    <option value="8">8</option>
                                                                    <option value="9">9</option>
                                                                    <option value="10">10</option>
                                                  </select></td></tr>
                                <tr><td class="label-td" colspan="2"><label>Asking Price</label></td></tr>
                                <tr>
                                    <td class="form-input-td" colspan="2">
                                        <input type="text" maxlength="50" name="ask-price">
                                    </td>
                                </tr>
                                 <tr>
                                    <td align="center" colspan="2">
                                        <div id="btn-send-text-wrap">
                                            <div class="clearfix"></div>
                                                <div id="send-text-left"></div>
                                                <div id="send-text-mid">
                                                        <span><?php echo get_post_meta( $post->ID, '_cmb_btn_text', true );?></span>
                                                </div>
                                                <div id="send-text-right"></div>
                                            <div class="clearfix"></div>
                                        </div>
                                    </td>
                                    </center>
                                 </tr>
                            </tbody>
                        </table>
                        </center>
                </form>
                    
                    <?php }?>
                </section>
				
				 <div class="clearfix"></div>
                <?php
                    $step_visibile = get_post_meta( $post->ID, '_cmb_steps_visiblity', true );
                    if(($step_visibile == 'ON') || ($step_visibile == null)){
                      $displayno = 'style="display:block;"';
                    } else{
                       $displayno = 'style="display:none;"';
                    }
                ?>
                <div id="step_image_display" <?php echo $displayno; ?> >
                    <?php
                        $step_images_val = get_post_meta( $post->ID, '_cmb_step_images', true );
                        if($step_images_val == ''){
                            $img_val = step_image_folder('step-squeeze8.png');
                        } else{
                            $img_val = $step_images_val;
                        }
                    ?>
                    <img src="<?php echo $img_val; ?>" />
                </div>
            <div class="clearfix"></div>
                
            </article>
           
        
    </div>
        <?php
        
            $footer_text_color =  get_post_meta( $post->ID, '_cmb_footer_text_color', true );
            $footer_bg_color =  get_post_meta( $post->ID, '_cmb_footer_bg', true );
            if(($footer_text_color == '#') || ($footer_text_color == '')){
                $my_color = '#000';
            }else{
                 $my_color = get_post_meta( $post->ID, '_cmb_footer_text_color', true );
            }
            if(($footer_bg_color == '#') || ($footer_bg_color == '')){
                $my_bg = '#cccccc';
            }else{
                 $my_bg = get_post_meta( $post->ID, '_cmb_footer_bg', true );
            }
        
        ?>
    <div class="clearfix"></div>
    <footer id="footer" class="source-org vcard copyright" style="color:<?php echo $my_color; ?> ; padding: 36px 0; text-align: center; width: 100%; background: <?php echo $my_bg; ?>;">
    <!--<div id="divider-8"></div>-->
    <div class="clearfix"></div>
	   <div id="footwrap">
		      <section id="copyright"><?php echo get_post_meta( $post->ID, '_cmb_copyright_text', true ); ?></section>
		      <section id="pseofoot"><span>Created by: </span><a href="http://RealEstateSqueezePage.com" target="_blank" style="text-decoration: none;"><span id="pseot">  Real Estate Squeeze Page</span></a></section>
	   </div>
    </footer>

	<?php wp_footer(); ?>

<script src="<?php bloginfo('template_directory'); ?>/assets/js/functions.js"></script>

	   <?php

	   $gaid = get_post_meta( $post->ID, '_cmb_analytics_id', true );
	   
	   if($gaid == ''){
		      
	   } else{ ?>
		      
	   <script>

	   var _gaq = _gaq || [];
	   _gaq.push(['_setAccount', '<?php echo $gaid; ?>']);
	   _gaq.push(['_trackPageview']);
	 
	   (function() {
	     var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
	     ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
	     var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
	   })();
	 
	 </script>
		      
	   <?php } ?>

</body>

</html>
